package push_common

type PushId uint32

func (id PushId) String() string {
	return uint32ToString(uint32(id))
}

//-----------------------------------------------------------------------------

type PushPreview struct {
	Id         PushId   `json:"id"`
	Ctime      uint32   `json:"ctime"`
	Stime      uint32   `json:"stime"`
	Status     int      `json:"status"`
	Info       string   `json:"info,omitempty"`
	MaxVersion string   `json:"maxVersion,omitempty"`
	Platforms  []uint32 `json:"platforms,omitempty"`
	PlayersIds []uint32 `json:"playersIds,omitempty"`
	Title      string   `json:"title"`
	Message    string   `json:"message"`
	Total      int      `json:"total"`
	Sent       int      `json:"sent"`
	Fails      int      `json:"fails"`
	ForTest    bool     `json:"forTest,omitempty"`
}

//-----------------------------------------------------------------------------

type TextVariant struct {
	Lang    int    `json:"lang"`
	Title   string `json:"title"`
	Message string `json:"message"`
}
